{% load embed_video_tags %}
<html>
  <head>
    {% load static%}
    <title>
      Zona Hijau
    </title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel = "stylesheet" href = "{% static 'videoinfog/css/style.css' %}">
    <script type="application/javascript" src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk="
            crossorigin="anonymous"></script>
            <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link rel="icon" href="{% static 'icon.png'%}" type="icon">
      {% include 'navbar_infog.html' %}
    
  </head>
  <body>
      <div class = "content">
        <div class = container>
          <div class = "container-fluid">
        <div class = "row">
        <div class="row flex-row-reverse">
          <div class="col-md-6">
              <img src="{% static 'PakaiMasker.png' %}" class="img-fluid" width="525px" height="525px">
          </div>
          <div class="col-md-6 ">
            <p id="first">Memakai Masker</p>
            <p id="second">Banyak yang menggunakan masker kain untuk mencegah infeksi virus Corona, padahal masker tersebut belum tentu efektif. Secara umum, ada dua tipe masker yang bisa Anda digunakan untuk mencegah penularan virus Corona, yaitu masker bedah dan masker N95.</p>
          </div>
        </div>
        <div class="col-md-6">
          <img src="{% static 'Vaksinasi.png' %}" class="img-fluid" width="525px" height="525px">
        </div>
        <div class="col-md-6">
          <p id="first">Melakukan Vaksinasi</p>
          <p id="second">
            Pemberian vaksin ini merupakan solusi yang dianggap paling tepat untuk mengurangi dan memutus rantai penularan Covid-19. Vaksinasi bertujuan untuk memberikan kekebalan spesifik terhadap suatu penyakit tertentu sehingga jika suatu saat terpapar penyakit tersebut maka hanya akan mengalami gejala yang ringan.</p>
        </div>
        <div class="row flex-row-reverse">
          <div class="col-md-6">
              <img src="{% static 'CuciTangan.png' %}" class="img-fluid" width="525px" height="525px">
          </div>
          <div class="col-md-6 ">
            <p id="first">Mencuci Tangan</p>
            <p id="second">Mencuci tangan dengan benar atau menggunakan hand sanitizer adalah cara paling sederhana namun efektif untuk mencegah penyebaran virus 2019-nCoV. Cucilah tangan dengan air mengalir dan sabun, setidaknya selama 20 detik atau gunakan hand sanitizer jika sulit untuk menemukan air dan sabun.</p>
          </div>
        </div>
        <div class="col-md-6">
          <img src="{% static 'dayatahantubuh.png' %}" class="img-fluid" width="525px" height="525px">
        </div>
        <div class="col-md-6">
          <p id="first">Menjaga Daya Tahan Tubuh</p>
          <p id="second">
            Daya tahan tubuh yang kuat dapat mencegah munculnya berbagai macam penyakit. Untuk menjaga dan meningkatkan daya tahan tubuh, Anda disarankan untuk mengonsumsi makanan sehat, minum vitamin, rutin berolahraga, dan istirahat yang cukup.</p>
        </div>
        <div class="row flex-row-reverse">
          <div class="col-md-6">
              <img src="{% static 'JagaJarak.png' %}" class="img-fluid" width="525px" height="525px">
          </div>
          <div class="col-md-6 ">
            <p id="first">Physical Distancing</p>
            <p id="second">Physical distancing adalah salah satu langkah penting untuk memutus mata rantai penyebaran virus Corona. Physical distancing juga dilakukan dengan cara menjaga jarak minimal 1 meter dengan orang lain dan selalu menggunakan masker, terutama saat beraktivitas di tempat umum atau keramaian.</p>
          </div>
        </div>
        <div class="col-md-6">
          <img src="{% static 'BersihRumah.png' %}" class="img-fluid" width="525px" height="525px">
        </div>
        <div class="col-md-6">
          <p id="first">Membersihkan Rumah Secara Rutin</p>
          <p id="second">
            Selain kebersihan diri, menjaga kebersihan rumah juga sangat penting dilakukan selama pandemi COVID-19 berlangsung. Hal ini dikarenakan virus Corona terbukti dapat bertahan hidup selama berjam-jam dan bahkan berhari-hari di permukaan suatu benda. Oleh karena itu, rumah harus dibersihkan dan dilakukan disinfeksi secara menyeluruh secara rutin.</p>
        </div>
      </div>
    </div>
    </div>
      </div>
    <div class = "content2">
      <div class = container>
        <div class = "container-fluid">
          <h1 style="font-weight: 800; font-size: 60px; text-align: center; color: rgb(36, 77, 45);"> 
            WATCH OUR VIDEO
          </h1>
          <div class="row">
            <div class="col">
              <button type="button" class="btn btn-outline-primary" id = "prev"><img src="{% static 'buttonprev.png' %}" width="100px" height="100px"></button>
            </div>
            <div class="col-8" id = "video-container">
            </div>
            <div class="col">
              <button type="button" class="btn btn-outline-primary" id = "next"><img src="{% static 'buttonnext.png' %}" width="100px" height="100px"></button>
            </div>
          </div>
          <div class="row">
            <div class ="justify-content-center" id = "tittle-container">
            </div>
          </div>
        </div>
      </div>
    </div>


  </body>  
</html>
<script>
  $(document).ready(function(){
    $.ajax({
      url : "/videoinfog/json/",
      success : function(result){
        var y = result[0].fields.tittle;
        $("#tittle-container").append(
          '<h2>'+ y +'</h2>'
        )
      }
    });
    $.ajax({
      url : "/videoinfog/json/",
      success : function(result){
        var x = result[0].fields.url;
        var kode = x.slice(32);
        $("#video-container").append(
          
          '<iframe width="426" height="240" src="https://www.youtube.com/embed/'+ kode + '?wmode=opaque" loading="lazy" frameborder="0" allowfullscreen></iframe>'
        )
      }
    });
    
  });
  var i = 0;
  $("#next").click(function(){
      $.ajax({
        url : "/videoinfog/json/",
        success : function(result){
          var ln = result.length;
          $("#tittle-container").empty()
          $("#video-container").empty()
          i++;
          if(i == ln){
            i = 0;
          }
          if(i+1 == ln){
            var y = result[i].fields.tittle;
            var x = result[i].fields.url;
            var kode = x.slice(32);
            $("#tittle-container").append(
              '<h2>'+ y +'</h2>'
            )
            $("#video-container").append(
              '<iframe width="426" height="240" src="https://www.youtube.com/embed/'+ kode + '?wmode=opaque" loading="lazy" frameborder="0" allowfullscreen></iframe>'
            )
          }
          else if(i+1 != ln){
            var y = result[i].fields.tittle;
            var x = result[i].fields.url;
            var kode = x.slice(32);
            $("#tittle-container").append(
              '<h2>'+ y +'</h2>'
            )
            $("#video-container").append(
              '<iframe width="426" height="240" src="https://www.youtube.com/embed/'+ kode + '?wmode=opaque" loading="lazy" frameborder="0" allowfullscreen></iframe>'
            )
          }
        }
      });
      
    })

    $("#prev").click(function(){
      $.ajax({
        url : "/videoinfog/json/",
        success : function(result){
          var ln = result.length;
          $("#tittle-container").empty()
          $("#video-container").empty()
          i--;
          if(i == -1){
            i = result.length-1;
          }
          if(i != 0){
            var y = result[i].fields.tittle;
            var x = result[i].fields.url;
            var kode = x.slice(32);
            $("#tittle-container").append(
              '<h2>'+ y +'</h2>'
            )
            $("#video-container").append(
              '<iframe width="426" height="240" src="https://www.youtube.com/embed/'+ kode + '?wmode=opaque" loading="lazy" frameborder="0" allowfullscreen></iframe>'
            )
          }
          else if(i == 0){
            var y = result[i].fields.tittle;
            var x = result[i].fields.url;
            var kode = x.slice(32);
            $("#tittle-container").append(
              '<h2>'+ y +'</h2>'
            )
            $("#video-container").append(
              '<iframe width="426" height="240" src="https://www.youtube.com/embed/'+ kode + '?wmode=opaque" loading="lazy" frameborder="0" allowfullscreen></iframe>'
            )
          }
        }
      });
      
    })
</script>
